/*
	Transformations

	Lotfi BAGHLI			  17/07/1996	rev 17/07/1996
	Lotfi BAGHLI			  rev 03/03/2003
*/

#define C32( Xalpha, Xbeta, Xa, Xb, Xc ) \
{ \
	Xa=Xalpha; \
	Xb=0.8660254038*Xbeta-0.5*Xalpha; \
	Xc=-0.5*Xalpha-0.8660254038*Xbeta; \
}

#define C22t( Xa, Xb, Xalpha, Xbeta ) \
{ \
	Xalpha=Xa; \
	Xbeta=0.5773502692*Xa+1.154700538*Xb; \
}

#define CalcPark( th, sin_th, cos_th) \
{ \
	sin_th=sin(th); \
	cos_th=cos(th); \
}

#define ParkInv( Xalpha, Xbeta, sin_th, cos_th, Xd, Xq) \
{ \
	Xd=Xalpha*cos_th+Xbeta*sin_th; \
	Xq=Xbeta*cos_th-Xalpha*sin_th; \
}

#define Park( Xd, Xq, sin_th, cos_th, Xalpha, Xbeta) \
{ \
	Xalpha=Xd*cos_th-Xq*sin_th; \
	Xbeta=Xd*sin_th+Xq*cos_th; \
}
